﻿using System;
using System.IO.IsolatedStorage;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Media.Imaging;

namespace DynamicInitializationScreen
{
    public partial class DynamicScreen : UserControl
    {
        #region 变量

        private const string DYNAMIC_IMAGE_KEY = "dynamicScreen";

        #endregion

        #region 构造函数

        public DynamicScreen()
        {
            InitializeComponent();

            CreateImage();
        }

        #endregion

        #region 实例方法

        private void CreateImage()
        {
            Int32 imgIndex = GetDynamicImageIndex();
            Uri imgPath = new Uri(string.Format("Images/{0}.jpg", imgIndex), UriKind.Relative);
            BitmapImage imgSource = new BitmapImage(imgPath);
            Image image = new Image
            {
                Source = imgSource,
                Width = 480,
                Height = 800,
                Margin = new Thickness(0, 0, 0, 0)
            };
            container.Children.Add(image);
        }

        private Int32 GetDynamicImageIndex()
        {
            IsolatedStorageSettings settings = IsolatedStorageSettings.ApplicationSettings;
            Int32 imgIndex;
            if (!settings.TryGetValue(DYNAMIC_IMAGE_KEY, out imgIndex))
            {
                imgIndex = 1;
                settings.Add(DYNAMIC_IMAGE_KEY, imgIndex);
            }
            if (imgIndex == 7)
            {
                imgIndex = 1;
            }
            settings[DYNAMIC_IMAGE_KEY] = imgIndex + 1;
            return imgIndex;
        }

        #endregion
    }
}
